## devuan-keyring 2017.10.03

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for debian/keyring
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2003 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

build:

clean:
	$(checkdir)
	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
	-rm -rf debian/tmp debian/devuan-keyring-udeb

binary-indep: checkroot checkkeyrings
	$(checkdir)
	-rm -rf debian/tmp
	$(install_dir) debian/tmp/DEBIAN/
	$(install_script) debian/postinst debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/devuan-keyring.gpg debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/devuan-archive-keyring.gpg debian/tmp/usr/share/keyrings/

	$(install_dir) debian/tmp/etc/apt/trusted.gpg.d/
	$(install_file) keyrings/devuan-keyring-2016-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
	$(install_file) keyrings/devuan-keyring-2017-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
	$(install_file) keyrings/devuan-keyring-2016-cdimage.gpg debian/tmp/etc/apt/trusted.gpg.d/

	$(install_dir) debian/tmp/usr/share/doc/devuan-keyring/
	$(install_file) README.md debian/tmp/usr/share/doc/devuan-keyring/
	$(install_file) debian/changelog debian/tmp/usr/share/doc/devuan-keyring/changelog
	gzip -9v debian/tmp/usr/share/doc/devuan-keyring/*
	$(install_file) debian/copyright debian/tmp/usr/share/doc/devuan-keyring/
	cd debian/tmp; find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums

	dpkg-gencontrol -pdevuan-keyring -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	-rm -rf debian/devuan-keyring-udeb
	$(install_dir) debian/devuan-keyring-udeb/DEBIAN/

	$(install_dir) debian/devuan-keyring-udeb/usr/share/keyrings/
	$(install_file) keyrings/devuan-archive-keyring.gpg debian/devuan-keyring-udeb/usr/share/keyrings/

	install -m 755 debian/devuan-keyring-udeb.postinst debian/devuan-keyring-udeb/DEBIAN/postinst

	# Don't let dpkg-gencontrol write incorrect guesses to debian/files.
	# Instead, register the udeb manually.
	dpkg-gencontrol -ndevuan-keyring-udeb_$(VERSION)_all.udeb -pdevuan-keyring-udeb -Tdebian/devuan-keyring-udeb.substvars -Pdebian/devuan-keyring-udeb -isp
	chown -R root.root debian/devuan-keyring-udeb
	chmod -R go=rX debian/devuan-keyring-udeb
	dpkg --build debian/devuan-keyring-udeb ../devuan-keyring-udeb_$(VERSION)_all.udeb

binary-arch:

define checkdir
	test -f keyrings/devuan-keyring.gpg
endef

# Below here is fairly generic really

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

regenerate-key-fragments:
	rm -f keyrings/devuan-keyring-*.gpg
	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-archive.gpg --export 0x72E3CB773315DFA2E464743D94532124541922FB
	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-cdimage.gpg --export 0xCF1921B2D91C6435848E810099C46A90B1FB3B59
	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2017-archive.gpg --export 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
	sha512sum keyrings/*.gpg | gpg --clearsign > SHA512SUMS.txt.asc

checkkeyrings:
	gpg --no-default-keyring --keyring /usr/share/keyrings/devuan-keyring.gpg --decrypt SHA512SUMS.txt.asc | sha512sum -c -
	gpg --no-default-keyring --keyring /usr/share/keyrings/devuan-keyring.gpg --decrypt md5sums.txt | md5sum -c -

.PHONY: binary binary-arch binary-indep clean checkkeyrings checkroot build

## devuan-keyring 2025.06.02

=== Makefile ===
EXPIRY_CHECK := $(shell date -d'9 months' +%s)

KEYSERVER := hkps://keyring.devuan.org

GPG_OPTIONS := --homedir ./keyrings/gnupg --no-options --no-default-keyring --no-auto-check-trustdb

INDIVIDUAL_KEYS := $(wildcard public_keys/individual/*.gpg)
ARCHIVE_KEYS := $(wildcard public_keys/archive/*.gpg)
REMOVED_KEYS := $(wildcard public_keys/removed/*.gpg)

all: keyrings/devuan-archive-keyring.gpg keyrings/devuan-keyring.gpg keyrings/devuan-removed-keys.gpg

.DELETE_ON_ERROR:

keyrings/gnupg:
	install -m700 -d $@

define import-keys =
	cat $^ | gpg --no-keyring --import-options import-export --import > $@
endef

define check-expiry =
	for k in $$(gpg --no-keyring --with-colons --fixed-list-mode --show-keys $@ | grep -e '^pub' -e '^sub'); do \
	    expiry=$$(echo $$k | cut -d: -f7) ; \
	    if [ -n "$${expiry}" ] && [ $${expiry} -lt $(EXPIRY_CHECK) ] ; then \
	        echo ERROR: $$(echo $$k | cut -d: -f5) expires too soon: $$(date -d@$${expiry}) ; \
	        exit 1 ; \
	    fi ; \
	done
endef

keyrings/devuan-keyring.gpg: $(INDIVIDUAL_KEYS) | keyrings/gnupg
	$(import-keys)
	$(check-expiry)

keyrings/devuan-archive-keyring.gpg: $(ARCHIVE_KEYS) | keyrings/gnupg
	$(import-keys)
	$(check-expiry)

keyrings/devuan-removed-keys.gpg: $(REMOVED_KEYS) | keyrings/gnupg
	$(import-keys)

refresh: | keyrings/gnupg
	for k in $(INDIVIDUAL_KEYS) $(ARCHIVE_KEYS); do \
	    gpg $(GPG_OPTIONS) --keyserver $(KEYSERVER) --keyserver-options no-self-sigs-only --refresh-keys --keyring ./$$k ; \
	done

clean:
	rm -fr keyrings

.PHONY: clean refresh

## devuan-keyring 2022.09.04

=== debian/changelog ===
devuan-keyring (2022.09.04) unstable; urgency=medium

  * Introduced devuan-keyring-2022-archive.gpg for trusted.gpg.d/

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 04 Sep 2022 00:36:31 +1000

devuan-keyring (2022.09.03) unstable; urgency=medium

  * Extended expiry for amprolla3 key in devuan-keyring.gpg

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 03 Sep 2022 22:06:26 +1000

devuan-keyring (2017.10.03) unstable; urgency=medium

  * Imported new amprolla3 key into devuan-keyring.gpg
  * Added devuan-keyring-2017-archive.gpg
  * Resigned SHA512SUMS and md5sums

 -- Denis Roio <jaromil@dyne.org>  Tue, 03 Oct 2017 14:10:50 +0200

devuan-keyring (2017.09.04) unstable; urgency=medium

  * Team upload for new repository infra
  * Added new amprolla3 key hosted on nemesis (signed with main repo)
  * update control file to VUA team maintainership

 -- Denis Roio <jaromil@dyne.org>  Mon, 04 Sep 2017 12:36:32 +0200

devuan-keyring (2016.11.22) unstable; urgency=medium

  * Proper fix for devuan installer and debootstrap udeb

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 22 Nov 2016 22:39:12 +0200

devuan-keyring (2016.10.29) unstable; urgency=medium

  * Add devuan-archive-keyring.gpg to /usr/share/keyrings

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 29 Oct 2016 23:19:20 +0200

devuan-keyring (2016.10.11) unstable; urgency=medium

  * split keys, put archive keys in /etc/apt/trusted.gpg.d
  * update Franco (nextime) Lanza keys

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 11 Oct 2016 15:21:38 +0200

devuan-keyring (2016.10.10) unstable; urgency=medium

  * Removed apt-key dependency
  * Remastered rules and package (copied from the ubuntu one)
  * Refreshed keyring

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 10 Oct 2016 12:43:40 +0200

devuan-keyring (2016.10.07) unstable; urgency=medium

  * Added devuan toaster pub key

 -- Franco (nextime) Lanza <nextime@devuan.org>  Fri, 07 Oct 2016 01:51:53 +0200

devuan-keyring (2015.05.05) unstable; urgency=medium

  * fix build for udeb

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 04 May 2015 22:03:58 +0200

devuan-keyring (2015.05.04) unstable; urgency=medium

  * Add udeb install file as for issue #5.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 04 May 2015 01:36:14 +0200

devuan-keyring (2015.05.02) unstable; urgency=medium

  * Build also udeb package and change priority.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 02 May 2015 09:33:23 +0200

devuan-keyring (2015.04.11) unstable; urgency=medium

  * Build also udeb package and change priority.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 11 Apr 2015 09:55:58 +0200

devuan-keyring (2014.12.07) unstable; urgency=medium

  * Added repository key.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 6 Dec 2014 10:05:27 +0100

devuan-keyring (2014.12.06) unstable; urgency=low

  * First packaging.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 6 Dec 2014 17:20:39 +0100

=== debian/control ===
Source: devuan-keyring
Section: misc
Priority: optional
Maintainer: Veteran UNIX Admins <vua@devuan.org>
Uploaders: Franco (nextime) Lanza <nextime@devuan.org>, Denis (jaromil) Roio <jaromil@dyne.org>
Bugs: mailto:bugs@devuan.org
Homepage: http://www.devuan.org
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), gnupg, debian-keyring

Package: devuan-keyring
Priority: important
Architecture: all
Multi-Arch: foreign
Depends: gpgv
Recommends: gnupg | gnupg1
Breaks: apt (<< 0.7.25.1)
Description: GnuPG archive key of the devuan repository
 The devuan repository digitally signs its Release files.
 This package contains the repository keys from devuan
 developers used for that.

Package: devuan-keyring-udeb
XC-Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Recommends: gpgv-udeb
Description: GnuPG keys of the Devuan archive
 The Devuan project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,14 @@
 
 build:
 
+build-indep:
+
 clean:
 	$(checkdir)
 	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
 	-rm -rf debian/tmp debian/devuan-keyring-udeb
 
-binary-indep: checkroot checkkeyrings
+binary-indep: checkroot
 	$(checkdir)
 	-rm -rf debian/tmp
 	$(install_dir) debian/tmp/DEBIAN/
@@ -35,7 +37,8 @@
 
 	$(install_dir) debian/tmp/etc/apt/trusted.gpg.d/
 	$(install_file) keyrings/devuan-keyring-2016-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
-	$(install_file) keyrings/devuan-keyring-2017-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
+	#$(install_file) keyrings/devuan-keyring-2017-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
+	$(install_file) keyrings/devuan-keyring-2022-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
 	$(install_file) keyrings/devuan-keyring-2016-cdimage.gpg debian/tmp/etc/apt/trusted.gpg.d/
 
 	$(install_dir) debian/tmp/usr/share/doc/devuan-keyring/
@@ -83,11 +86,11 @@
 	rm -f keyrings/devuan-keyring-*.gpg
 	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-archive.gpg --export 0x72E3CB773315DFA2E464743D94532124541922FB
 	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-cdimage.gpg --export 0xCF1921B2D91C6435848E810099C46A90B1FB3B59
-	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2017-archive.gpg --export 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
+	#gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2017-archive.gpg --export 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
 	sha512sum keyrings/*.gpg | gpg --clearsign > SHA512SUMS.txt.asc
 
 checkkeyrings:
-	gpg --no-default-keyring --keyring /usr/share/keyrings/devuan-keyring.gpg --decrypt SHA512SUMS.txt.asc | sha512sum -c -
-	gpg --no-default-keyring --keyring /usr/share/keyrings/devuan-keyring.gpg --decrypt md5sums.txt | md5sum -c -
+	gpg --no-default-keyring --keyring keyrings/devuan-keyring.gpg --decrypt SHA512SUMS.txt.asc | sha512sum -c -
+	gpg --no-default-keyring --keyring keyrings/devuan-keyring.gpg --decrypt md5sums.txt | md5sum -c -
 
 .PHONY: binary binary-arch binary-indep clean checkkeyrings checkroot build

## devuan-keyring 2023.05.28

=== debian/changelog ===
devuan-keyring (2023.05.28) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key for Sebastian Dalfuß <devuan@sedf.de>
  * Add public key for Olaf Meeuwissen <paddy-hack@member.fsf.org>

  [ Mark Hindley ]
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 28 May 2023 09:31:37 +0100

devuan-keyring (2022.11.15) unstable; urgency=medium

  [ Boian Bonev ]
  * Add to the keyring
    - Antonio Rendina <arendina13@gmail.com> (new)
    - Denis Roio (Jaromil) <jaromil@dyne.org> (updated expiry)
  * Refresh keys.

  [ Mark Hindley ]
  * Also use --no-keyring for expiry check. Prevents redundant keybox creation.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Nov 2022 07:11:57 +0000

devuan-keyring (2022.10.03) unstable; urgency=medium

  * When importing, specify --no-keyring to avoid unnecessary keybox
    creation.
  * Refresh keys.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 03 Oct 2022 15:18:08 +0100

devuan-keyring (2022.09.24) experimental; urgency=medium

  * Refresh keys with --keyserver-options no-self-sigs-only.
  * Use keyrings/gnupg mode 700 as gpg homedir.
  * .gitignore: add keyrings/.
  * Use cat for piping input keys to avoid losing first one.
  * Refresh keys.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 Sep 2022 10:35:36 +0100

devuan-keyring (2022.09.23) experimental; urgency=medium

  * d/gbp.conf: set default tag format.
  * Document rm_conffile for key removal from /etc/apt/trusted.gpg.d/.
  * Remove excess whitespace.
  * Move default gpg options to variable.
  * Import keys without using temporary file; revert use of .ONESHELL and
    ./trustdb.gpg.
  * Add refresh target to update keys from hkps://keyring.devuan.org.
  * Document make refresh.
  * Refresh keys.
  * Add --homedir ./ to GPG_OPTIONS to fix debhelper failure.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Sep 2022 15:31:55 +0100

devuan-keyring (2022.09.22) experimental; urgency=medium

  [ Mark Hindley ]
  * d/gbp.conf: specify debian-branch.
  * .gitignore: ignore backup files.
  * d/control:
     - change maintenance to Devuan Developers list.
     - remove redundant Bugs field.
     - add Origin: Devuan.
     - add Vcs-* fields.
     - update package descriptions.
     - remove obsolete Build-Depend: debian-keyring,
     - add myself to Uploaders.
  * Simplify d/rules and use debhelper (compat 13).
  * Build keyrings from public keys in dedicated folders.
  * Check expiry of active keys, 9 months or more.
  * Add individual keys for fsmithred and rrq (✕2).
  * Add new release signing keys: Amprolla (generic), Daedalus and Excalibur.
  * Move expired and obsolete keys to public_keys/removed.
  * Update in tree documentation.
  * Clarify that keys should be OpenPGP binary format.

  [ Boian Bonev ]
  * Use the current GPL-3 instead of changing GPL
  * Remove file referencing removed checksums
  * Fix small stuff
  * Remove old postinst
  * Add my key

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 22 Sep 2022 09:58:41 +0100

=== debian/control ===
Source: devuan-keyring
Section: misc
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders:
	Mark Hindley <mark@hindley.org.uk>,
	Franco (nextime) Lanza <nextime@devuan.org>,
	Denis (jaromil) Roio <jaromil@dyne.org>
Homepage: http://www.devuan.org
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), gnupg
Origin: Devuan
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/devuan/devuan-keyring.git
Vcs-Browser: https://git.devuan.org/devuan/devuan-keyring

Package: devuan-keyring
Priority: important
Architecture: all
Multi-Arch: foreign
Depends: gpgv, ${misc:Depends}
Recommends: gnupg | gnupg1
Breaks: apt (<< 0.7.25.1)
Description: GnuPG keys used by the Devuan repository
 The Devuan repository digitally signs its Release files.  This package contains
 the repository keys used for that as well as individual keys of active Devuan
 developers.

Package: devuan-keyring-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Recommends: gpgv-udeb
Description: GnuPG keys used by the Devuan repository
 The Devuan project digitally signs its Release files. This package contains the
 keys used for that, in a minimal form for use in the installer.

## devuan-keyring 2025.06.02

=== debian/changelog ===
devuan-keyring (2025.06.02) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key of Mason Loring Bliss <mason@blisses.org>
  * Refresh keys
  * Remove expired public key of Thomas Dely <deltomix@gmail.com>

  [ Mark Hindley ]
  * d/control: bump Standards Version (no changes).
  * d/control: drop unnecessary Depends: gpgv.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 02 Jun 2025 16:51:53 +0100

devuan-keyring (2023.10.07) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key of Thomas Dely <deltomix@gmail.com>

  [ Mark Hindley ]
  * Refresh keys

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 07 Oct 2023 17:19:50 +0100

devuan-keyring (2023.07.01) unstable; urgency=medium

  [ Boian Bonev ]
  * Refresh keys
  * Add new public key for Ralph Ronnquist <rrq@rrq.au>
  * wrap-and-sort for better diffs
  * Remove nextime from uploaders (no longer active)
  * Add myself to uploaders
  * Covert copyright to DEP-5
  * Update copyright

  [ Mark Hindley ]
  * Add new archive public key for future use in Freia.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 01 Jul 2023 11:04:53 +0100

=== debian/control ===
Source: devuan-keyring
Section: misc
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders:
 Mark Hindley <mark@hindley.org.uk>,
 Boian Bonev <bbonev@devuan.org>,
 Denis (jaromil) Roio <jaromil@dyne.org>,
Homepage: http://www.devuan.org
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 gnupg,
Origin: Devuan
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/devuan/devuan-keyring.git
Vcs-Browser: https://git.devuan.org/devuan/devuan-keyring

Package: devuan-keyring
Priority: important
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 gnupg | gnupg1,
Breaks:
 apt (<< 0.7.25.1),
Description: GnuPG keys used by the Devuan repository
 The Devuan repository digitally signs its Release files.  This package contains
 the repository keys used for that as well as individual keys of active Devuan
 developers.

Package: devuan-keyring-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Recommends:
 gpgv-udeb,
Description: GnuPG keys used by the Devuan repository
 The Devuan project digitally signs its Release files. This package contains the
 keys used for that, in a minimal form for use in the installer.

## devuan-keyring 2025.07.30

=== Makefile ===
EXPIRY_CHECK := $(shell date -d'9 months' +%s)

KEYSERVER := hkps://keyring.devuan.org

GPG_OPTIONS := --homedir ./keyrings/gnupg --no-options --no-default-keyring --no-auto-check-trustdb

INDIVIDUAL_KEYS := $(wildcard public_keys/individual/*.pgp)
ARCHIVE_KEYS := $(wildcard public_keys/archive/*.pgp)
REMOVED_KEYS := $(wildcard public_keys/removed/*.pgp)

all: keyrings/devuan-archive-keyring.pgp keyrings/devuan-keyring.pgp keyrings/devuan-removed-keys.pgp

.DELETE_ON_ERROR:

keyrings/gnupg:
	install -m700 -d $@

define import-keys =
	cat $^ | gpg --no-keyring --import-options import-export --import > $@
endef

define check-expiry =
	for k in $$(gpg --no-keyring --with-colons --fixed-list-mode --show-keys $@ | grep -e '^pub' -e '^sub'); do \
		expiry=$$(echo $$k | cut -d: -f7) ; \
		if [ -n "$${expiry}" ] && [ $${expiry} -lt $(EXPIRY_CHECK) ] ; then \
			echo ERROR: $$(echo $$k | cut -d: -f5) expires too soon: $$(date -d@$${expiry}) ; \
			exit 1 ; \
		fi ; \
	done
endef

keyrings/devuan-keyring.pgp: $(INDIVIDUAL_KEYS) | keyrings/gnupg
	$(import-keys)
	$(check-expiry)
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

keyrings/devuan-archive-keyring.pgp: $(ARCHIVE_KEYS) | keyrings/gnupg
	$(import-keys)
	$(check-expiry)
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

keyrings/devuan-removed-keys.pgp: $(REMOVED_KEYS) | keyrings/gnupg
	$(import-keys)
	ln -s $(notdir $@) $(patsubst %.pgp,%.gpg,$@)

refresh: | keyrings/gnupg
	for k in $(INDIVIDUAL_KEYS) $(ARCHIVE_KEYS); do \
		gpg $(GPG_OPTIONS) --keyserver $(KEYSERVER) --keyserver-options no-self-sigs-only --refresh-keys --keyring ./$$k ; \
	done

clean:
	rm -fr keyrings

.PHONY: clean refresh

=== debian/changelog ===
devuan-keyring (2025.07.30) unstable; urgency=medium

  [ Boian Bonev ]
  * Update copyright years
  * Bump standards to 4.7.2, no changes
  * fix address in copyright
  * Override a pedantic warning
  * Override the pedantic warning for the udeb too
  * Refresh keys
  * Remove unused lintian overrides

  [ Guillem Jover ]
  * Use «Debian» instead of the odd «Debian GNU» when referring to the project
  * Use OpenPGP instead of GnuPG when referring to the specification
  * Rename keyrings from .gpg to .pgp
  * debian: Remove unused GnuPG dependencies

  [ Mark Hindley ]
  * Add new rsa4096/SHA512 signing key for Gryphon release.
  * Add new rsa4096/SHA512 signing key for DAK.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 30 Jul 2025 09:21:29 +0100

## devuan-keyring 2025.08.09

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,12 @@
 ARCHIVE_KEYS := $(wildcard public_keys/archive/*.pgp)
 REMOVED_KEYS := $(wildcard public_keys/removed/*.pgp)
 
-all: keyrings/devuan-archive-keyring.pgp keyrings/devuan-keyring.pgp keyrings/devuan-removed-keys.pgp
+all: keyrings/devuan-archive-keyring.pgp keyrings/devuan-keyring.pgp keyrings/devuan-removed-keys.pgp $(patsubst %.pgp,%.asc,$(ARCHIVE_KEYS))
 
 .DELETE_ON_ERROR:
+
+%.asc : %.pgp
+	gpg --armor --export --no-default-keyring --keyring $< > $@
 
 keyrings/gnupg:
 	install -m700 -d $@
@@ -49,6 +52,6 @@
 	done
 
 clean:
-	rm -fr keyrings
+	rm -fr keyrings public_keys/archive/*.asc
 
 .PHONY: clean refresh

=== debian/changelog ===
devuan-keyring (2025.08.09) unstable; urgency=medium

  * Restore installation of keys (now armoured, as Debian) in
    /etc/apt/trusted.gpg.d. (Closes: #902)

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Aug 2025 14:58:32 +0100

=== debian/control ===
--- 
+++ 
@@ -22,21 +22,17 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-Recommends:
- gnupg | gnupg1,
 Breaks:
  apt (<< 0.7.25.1),
-Description: GnuPG keys used by the Devuan repository
+Description: OpenPGP certificates used by the Devuan repository
  The Devuan repository digitally signs its Release files.  This package contains
- the repository keys used for that as well as individual keys of active Devuan
- developers.
+ the repository certificates used for that as well as individual certificates
+ of active Devuan developers.
 
 Package: devuan-keyring-udeb
 Package-Type: udeb
 Architecture: all
 Section: debian-installer
-Recommends:
- gpgv-udeb,
-Description: GnuPG keys used by the Devuan repository
+Description: OpenPGP certificates used by the Devuan repository
  The Devuan project digitally signs its Release files. This package contains the
- keys used for that, in a minimal form for use in the installer.
+ certificates used for that, in a minimal form for use in the installer.

## devuan-keyring 2026.01.13

=== debian/changelog ===
devuan-keyring (2026.01.13) unstable; urgency=medium

  [ Boian Bonev ]
  * Add public key of tempforever <dev1@tempforever.com>

  [ Mark Hindley ]
  * Update key for Mason Loring Bliss <mason@blisses.org> with new expiry.
  * d/control: drop 'R³: no' now it is the default.
  * d/control: Bump Standards Version (drop Priority: optional).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 11 Jan 2026 16:42:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: devuan-keyring
 Section: misc
-Priority: optional
 Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
 Uploaders:
  Mark Hindley <mark@hindley.org.uk>,
  Boian Bonev <bbonev@devuan.org>,
  Denis (jaromil) Roio <jaromil@dyne.org>,
 Homepage: http://www.devuan.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  gnupg,
 Origin: Devuan
-Rules-Requires-Root: no
 Vcs-Git: https://git.devuan.org/devuan/devuan-keyring.git
 Vcs-Browser: https://git.devuan.org/devuan/devuan-keyring
